# $Revision: 1.18 $, $Date: 2002/06/05 08:23:03 $
Summary:	An interactive fractal landscape generator
Summary(pl):	Interaktywny generator krajobrazw fraktalnych
Name:		terraform
Version:	0.9.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/terraform/%{name}-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-acfix.patch
URL:		http://terraform.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel
BuildRequires:	gtk+-devel
BuildRequires:	libxml-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Terraform is an interactive height field generation and manipulation
program, giving you the ability to generate random terrain and
transform it.

%description -l pl
Terraform to interaktywny program do generowania i obrabiania terenw.
Pozwala wygenerowa losowy teren i przetransformowa go.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__gettextize}
aclocal -I macros
%{__autoconf}
%{__automake}
%configure \
	--disable-sgmltools
	# don't work with our sgml-tools

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Graphics}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install desktop-links/Terraform.desktop $RPM_BUILD_ROOT%{_applnkdir}/Graphics/%{name}.desktop
install desktop-links/terraform.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog docs/*.sgml
%attr(755,root,root) %{_bindir}/terraform
%{_datadir}/terraform
%{_applnkdir}/Graphics/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: terraform.spec,v $
Revision 1.18  2002/06/05 08:23:03  qboosh
- added acfix patch needed for autoconf 2.53

Revision 1.17  2002/06/05 04:26:55  kloczek
- use new %doc.

Revision 1.16  2002/05/21 23:14:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/05/14 14:34:20  trojan
- updated to 0.9.0
- desktop file moved to %%{_applnk}/Graphics
- added BR: libxml-devel
- added %%find_lang
- fixed %%files
- STBR

Revision 1.14  2002/02/25 04:57:19  kloczek
- added 'rm -f missing" on top %build and few cosmetics.

Revision 1.13  2002/02/23 23:08:09  filon
- updated to 0.8.6
- whole spec rewritten
- added makefile patch

Revision 1.12  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/03 09:46:11  qboosh
- some spec fixes, updated URL, added Source URL (note: 0.8.3 available)

Revision 1.9  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/08/07 23:07:49  baggins
- spec adapterized

Revision 1.7  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/02 21:23:25  baggins
- fixed version, minor cleanup

Revision 1.4  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.2  1999/11/27 14:24:10  kloczek
- adapter(ized) and partialy rewrited.

* Mon Oct 18 1999 Robert Gasch <Robert_Gasch@peoplesoft.com>
- first spec file
